about summary refs log tree commit diff
diff options
context:
space:
mode:
authorDominik Maier <domenukk@gmail.com>2020-04-17 16:28:22 +0200
committerDominik Maier <domenukk@gmail.com>2020-04-17 16:28:22 +0200
commit9900c92ebc73a7706f4604c274ccf6430549e77e (patch)
tree113c1ba9df4b26d206a8bc0f3182222572e5f553
parent0bd1264faf928081ea2df67f4c54b5794ae82a79 (diff)
downloadafl++-9900c92ebc73a7706f4604c274ccf6430549e77e.tar.gz
locked to unicornafl version
-rwxr-xr-x[-rw-r--r--]unicorn_mode/build_unicorn_support.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/unicorn_mode/build_unicorn_support.sh b/unicorn_mode/build_unicorn_support.sh
index df2a7f6d..8297e13f 100644..100755
--- a/unicorn_mode/build_unicorn_support.sh
+++ b/unicorn_mode/build_unicorn_support.sh
@@ -33,6 +33,8 @@
 # You must make sure that Unicorn Engine is not already installed before
 # running this script. If it is, please uninstall it first.
 
+UNICORNAFL_VERSION='afl++2.64c'
+
 echo "================================================="
 echo "UnicornAFL build script"
 echo "================================================="
@@ -157,13 +159,15 @@ test -d unicornafl || {
 test -d unicornafl || { echo "[-] not checked out, please install git or check your internet connection." ; exit 1 ; }
 echo "[+] Got unicornafl."
 
+cd "unicornafl" || exit 1
+echo "[*] Checking out $UNICORNAFL_VERSION"
+git checkout "$UNICORNAFL_VERSION" || exit 1
+
 echo "[*] making sure config.h matches"
-cp "../config.h" "./unicornafl/" || exit 1
+cp "../../config.h" "." || exit 1
 
 echo "[*] Configuring Unicorn build..."
 
-cd "unicornafl" || exit 1
-
 echo "[+] Configuration complete."
 
 echo "[*] Attempting to build unicornafl (fingers crossed!)..."